MONGOC_COLLECTION_COPY(3)

NAME
mongoc_collection_copy() - Performs a deep copy of the collection struct and its configuration. Useful if you intend to call mongoc_collection_set_write_concern, mongoc_collection_set_read_prefs, or mongoc_collection_set_read_concern, and want to preserve an unaltered copy of the struct.

SYNOPSIS

mongoc_collection_t *
mongoc_collection_copy (mongoc_collection_t *collection);

PARAMETERS

collection
    A mongoc_collection_t \&.

DESCRIPTION

Performs a deep copy of the collection struct and its configuration. Useful if you intend to call mongoc_collection_set_write_concern , mongoc_collection_set_read_prefs , or mongoc_collection_set_read_concern , and want to preserve an unaltered copy of the struct.

This function does not copy the contents of the collection on the MongoDB server; use the for that purpose.

RETURNS

A newly allocated mongoc_collection_t that should be freed with mongoc_collection_destroy(3) when no longer in use.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.